#67 Newer libscg version...

closed
nobody
5
2005-05-03
2002-12-21
Eli
No

I was wondering if there was an estimated time when the
newer version of libscg/schily-0.7 would be included in
the cdrdao distribution or CVS. Currently development
kernels will not work with the current 0.5 version.
Well, it might work. However, the newer access seems to
be more versitile and would benefit greatly. I tried
adapting the scg version from the CVS cdrecord 2, but
that didn't seem effective.
-sincerely
Eli

Discussion

  • David Willmore
    David Willmore
    2003-03-05

    Logged In: YES
    user_id=685420

    I installed a version of cdrtools-2.0 and the source for
    cdrdao-1.1.7 and then just installed cdrtools-2.0 (to get a
    libscg.a) and then built cdrdao-1.1.7 which picked it up.

    Running the resultant cdrdao shows schilly-0.7 and scg-1.75.

    Still didn't let it use DMA, so I'm a bit confused. Seems
    like it's passing aligned buffers to SG_IO, but that doesn't
    seem to be enough.

     
  • Denis Leroy
    Denis Leroy
    2005-05-03

    Logged In: YES
    user_id=95186

    Now 2.01. You can always build against an installed
    'cdrecord-devel' RPM anyways (configure
    --with-scglib-inc=/usr/include/schily
    --with-scglib-lib=/usr/lib).

     
  • Denis Leroy
    Denis Leroy
    2005-05-03

    • status: open --> closed